package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumDelStatus {

    NOT_DEL(0, "未删除"),
    DEL(1, "已删除"),
    ;

    public static EnumDelStatus getEnum(Integer code) {
        for (EnumDelStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumDelStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
